commit:     b15fea94c877f9f9dcd066d8f2e3ea87cea32ea9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 15 14:34:09 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 15 14:34:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b15fea94

sys-apps/portage: add 3.0.69.1

Florian Schmaus (8):
      bintree: Fix bug retrieving the Last-Modified header due typo
      bintree: Prefer 'Last-Modified' over 'timestamp' header
      bintree: Improve UseCachedCopyOfRemoteIndex handling, report if TTL
      bintree: Do not add extra newline in before message
      bintree: Use writemsg() instead of writemsg_stdout()
      bintree: Remove superfluous space before message
      bintree: fix lazy imports formatting
      bintree: Do not use colorize() for in writemsg()

Kerin Millar (2):
      phase-helpers.sh: order case patterns alphabetically in unpack()
      phase-helpers.sh: refactor unpack() and have tar execute its decompressors

Sam James (3):
      man/emerge.1: fix missing linebreak for new PORTAGE_SHOW_HTTP_TRACE
      _urlopen: fix timestamp comparison by using UTC consistently
      _urlopen: partly revert earlier change

Closes: https://bugs.gentoo.org/962874
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/portage/Manifest                |   1 +
 sys-apps/portage/portage-3.0.69.1.ebuild | 232 +++++++++++++++++++++++++++++++
 2 files changed, 233 insertions(+)

diff --git a/sys-apps/portage/Manifest b/sys-apps/portage/Manifest
index f2c4bd4e15e9..a0e1bd98026c 100644
--- a/sys-apps/portage/Manifest
+++ b/sys-apps/portage/Manifest
@@ -1,3 +1,4 @@
 DIST portage-3.0.67.tar.bz2 1196776 BLAKE2B 
4a9056d388b012a0fa343d6fc50c9c3b455cb3a4d356210accf86c4ff4434a2d8cb4d23c3f58f3e23ab8bb4a4e9ee244bd1ec1203d5f72fa6f0e0a2caa92e757
 SHA512 
e725a471dcadaac771aa7f910524232e237efbb944d3e175825ad659b5190d631a91d4c188089c278a79b4709d4a8d6a6e53c55524c4b1c8d1c43580506e0d1c
 DIST portage-3.0.68.tar.bz2 1198758 BLAKE2B 
fbe3a14babbe5687d075c7e691027d04e7a34a35c3199c981e176bae365242e1dc7d4122f2d7a385444798b9413c415ca40801825a9dd9c99c3590efca8087e6
 SHA512 
4ed6d0945ad94ee19260996dd2ba9fa5e013560a50de887eb7e8df87a3649552316cbc62ee8ef9b4a025d9d98fb74e85ee7734b7a8fe7416450b8d6818fdcfab
+DIST portage-3.0.69.1.tar.bz2 1206337 BLAKE2B 
d4be740be78e98a2d80e5040d1de33420e6ce821c17762cb0c21e56ea4bd8f1b9852a41ee5e73fc395455c28c8fb351b1a8cc91389206b1b23a9ca0278da1ede
 SHA512 
9b36ba124796cc7019edeb70cca8e1ff93c5a5a525bd1a282b81ef01641f1e988f4961e56335bb175339baab767175d5a2f1138dda1f0c8b6c214dc5271725f6
 DIST portage-3.0.69.tar.bz2 1206239 BLAKE2B 
d5eb4b337c73d7740fd047b58a7b9e7b6e6a2d79ce021c77d4fdc225771bb7c1e6d8b8637c83983ca02ff0c2ab6bee9e0cd2faf93121df89e8a0780b3f566d94
 SHA512 
9682931279a58ec7b996042e961b43bfd41a8b0b7236cc76c98cd2bd2de270b2329f31bca82950c5c10bea7ee74838aa8d051347281d95acf8027862abd0ea67

diff --git a/sys-apps/portage/portage-3.0.69.1.ebuild 
b/sys-apps/portage/portage-3.0.69.1.ebuild
new file mode 100644
index 000000000000..b6b8f7f4eabd
--- /dev/null
+++ b/sys-apps/portage/portage-3.0.69.1.ebuild
@@ -0,0 +1,232 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# py3.14: bug #957070
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+PYTHON_REQ_USE='bzip2(+),threads(+)'
+TMPFILES_OPTIONAL=1
+
+inherit meson linux-info python-r1 tmpfiles
+
+DESCRIPTION="The package management and distribution system for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage";
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="
+               https://anongit.gentoo.org/git/proj/portage.git
+               https://github.com/gentoo/portage.git
+       "
+       inherit git-r3
+else
+       
SRC_URI="https://gitweb-cdn-origin.gentoo.org/proj/portage.git/snapshot/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apidoc build doc gentoo-dev +ipc +native-extensions +rsync-verify 
selinux test xattr"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+       >=app-arch/tar-1.27
+       >=dev-build/meson-1.3.0-r1
+       >=sys-apps/sed-4.0.5
+       sys-devel/patch
+       !build? ( $(python_gen_impl_dep 'ssl(+)') )
+       apidoc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-epytext[${PYTHON_USEDEP}]
+       )
+       doc? (
+               ~app-text/docbook-xml-dtd-4.4
+               app-text/xmlto
+       )
+       test? (
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+# Require sandbox-2.2 for bug #288863.
+# For whirlpool hash, require python[ssl] (bug #425046).
+RDEPEND="
+       ${PYTHON_DEPS}
+       acct-user/portage
+       >=app-arch/tar-1.27
+       app-arch/zstd
+       >=app-misc/pax-utils-0.1.17
+       dev-lang/python-exec:2
+       >=sys-apps/baselayout-2.9
+       >=sys-apps/findutils-4.9
+       !build? (
+               >=app-admin/eselect-1.2
+               app-portage/getuto
+               >=app-shells/bash-5.0:0
+               >=sec-keys/openpgp-keys-gentoo-release-20240703
+               >=sys-apps/sed-4.0.5
+               rsync-verify? (
+                       >=app-crypt/gnupg-2.2.4-r2[ssl(-)]
+                       >=app-portage/gemato-14.5[${PYTHON_USEDEP}]
+               )
+       )
+       elibc_glibc? ( >=sys-apps/sandbox-2.2 )
+       elibc_musl? ( >=sys-apps/sandbox-2.2 )
+       kernel_linux? ( sys-apps/util-linux )
+       selinux? ( >=sys-libs/libselinux-2.0.94[python,${PYTHON_USEDEP}] )
+       xattr? ( kernel_linux? (
+               >=sys-apps/install-xattr-0.3
+       ) )
+"
+# coreutils-6.4 rdep is for date format in emerge-webrsync #164532
+# NOTE: FEATURES=installsources requires debugedit and rsync
+PDEPEND="
+       !build? (
+               >=net-misc/rsync-2.6.4
+               >=sys-apps/coreutils-6.4
+               >=sys-apps/file-5.44-r3
+       )
+"
+
+pkg_pretend() {
+       local CONFIG_CHECK="~IPC_NS ~PID_NS ~NET_NS ~UTS_NS"
+
+       check_extra_config
+}
+
+src_prepare() {
+       default
+
+       if use prefix-guest; then
+               sed -e "s|^\(main-repo = \).*|\\1gentoo_prefix|" \
+                       -e "s|^\\[gentoo\\]|[gentoo_prefix]|" \
+                       -e "s|^\(sync-uri = 
\).*|\\1rsync://rsync.prefix.bitzolder.nl/gentoo-portage-prefix|" \
+                       -i cnf/repos.conf || die "sed failed"
+       fi
+}
+
+src_configure() {
+       local code_only=false
+       python_foreach_impl my_src_configure
+}
+
+my_src_configure() {
+       local emesonargs=(
+               -Dcode-only=${code_only}
+               -Deprefix="${EPREFIX}"
+               -Dportage-bindir="${EPREFIX}/usr/lib/portage/${EPYTHON}"
+               -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+               $(meson_use doc)
+               $(meson_use apidoc)
+               $(meson_use gentoo-dev)
+               $(meson_use ipc)
+               $(meson_use xattr)
+       )
+
+       if use native-extensions && [[ "${EPYTHON}" != pypy3* ]] ; then
+               emesonargs+=( -Dnative-extensions=true )
+       else
+               emesonargs+=( -Dnative-extensions=false )
+       fi
+
+       if use build; then
+               emesonargs+=( -Drsync-verify=false )
+       else
+               emesonargs+=( $(meson_use rsync-verify) )
+       fi
+
+       meson_src_configure
+       code_only=true
+}
+
+src_compile() {
+       python_foreach_impl meson_src_compile
+}
+
+src_test() {
+       local EPYTEST_XDIST=1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       python_foreach_impl epytest
+}
+
+src_install() {
+       python_foreach_impl my_src_install
+       dotmpfiles "${FILESDIR}"/portage-{ccache,tmpdir}.conf
+
+       local scripts
+       mapfile -t scripts < <(awk '/^#!.*python/ {print FILENAME} {nextfile}' 
"${ED}"/usr/{bin,sbin}/* || die)
+       python_replicate_script "${scripts[@]}"
+}
+
+my_src_install() {
+       local pydirs=(
+               "${D}$(python_get_sitedir)"
+               "${ED}/usr/lib/portage/${EPYTHON}"
+       )
+
+       meson_src_install
+       python_fix_shebang "${pydirs[@]}"
+       python_optimize "${pydirs[@]}"
+}
+
+pkg_preinst() {
+       if ! use build && [[ -z ${ROOT} ]]; then
+               python_setup
+               local sitedir=$(python_get_sitedir)
+               [[ -d ${D}${sitedir} ]] || die "${D}${sitedir}: No such 
directory"
+               env -u DISTDIR \
+                       -u PORTAGE_OVERRIDE_EPREFIX \
+                       -u PORTAGE_REPOSITORIES \
+                       -u PORTDIR \
+                       -u PORTDIR_OVERLAY \
+                       
PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+                       ED="${ED}" \
+                       "${PYTHON}" -m 
portage._compat_upgrade.default_locations || die
+
+               env -u BINPKG_COMPRESS -u PORTAGE_REPOSITORIES \
+                       
PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+                       ED="${ED}" \
+                       "${PYTHON}" -m 
portage._compat_upgrade.binpkg_compression || die
+
+               env -u FEATURES -u PORTAGE_REPOSITORIES \
+                       
PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+                       ED="${ED}" \
+                       "${PYTHON}" -m 
portage._compat_upgrade.binpkg_multi_instance || die
+
+               env -u BINPKG_FORMAT \
+                       
PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+                       ED="${ED}" \
+                       "${PYTHON}" -m portage._compat_upgrade.binpkg_format || 
die
+       fi
+
+       # elog dir must exist to avoid logrotate error for bug #415911.
+       # This code runs in preinst in order to bypass the mapping of
+       # portage:portage to root:root which happens after src_install.
+       keepdir /var/log/portage/elog
+       # This is allowed to fail if the user/group are invalid for prefix 
users.
+       if chown portage:portage "${ED}"/var/log/portage{,/elog} 2>/dev/null ; 
then
+               chmod g+s,ug+rwx "${ED}"/var/log/portage{,/elog}
+       fi
+
+       if has_version "<${CATEGORY}/${PN}-2.3.77"; then
+               elog "The emerge --autounmask option is now disabled by 
default, except for"
+               elog "portions of behavior which are controlled by the 
--autounmask-use and"
+               elog "--autounmask-license options. For backward compatibility, 
previous"
+               elog "behavior of --autounmask=y and --autounmask=n is entirely 
preserved."
+               elog "Users can get the old behavior simply by adding 
--autounmask to the"
+               elog "make.conf EMERGE_DEFAULT_OPTS variable. For the rationale 
for this"
+               elog "change, see https://bugs.gentoo.org/658648.";
+       fi
+}
+
+pkg_postinst() {
+       # Warn about obsolete "enotice" script, bug #867010
+       local bashrc=${EROOT}/etc/portage/profile/profile.bashrc
+       if [[ -e ${bashrc} ]] && grep -q enotice "${bashrc}"; then
+               eerror "Obsolete 'enotice' script detected!"
+               eerror "Please remove this from ${bashrc} to avoid problems."
+               eerror "See bug 867010 for more details."
+       fi
+}

Reply via email to